import { IKubeConfigCluster, IKubeConfigUser } from '../interfaces';
export declare class KubeConfig {
    static SA_ROOT: string;
    static SA_CA_PATH: string;
    static SA_TOKEN_PATH: string;
    user: IKubeConfigUser;
    cluster: IKubeConfigCluster;
    /**
     * Load configuration from all posible sources
     */
    load(): Promise<void>;
    /**
     * Load configuration from pod
     */
    loadFromServiceAccountToken(): Promise<void>;
    /**
     * Load KubeConfig from file
     * @param path
     * @param currentContext override `current-context` value with custom one
     */
    loadFromFile(path: string, currentContext?: string): Promise<void>;
}
