import { KubeConfig } from '../models';
import * as request from 'request';
export declare abstract class BaseRequestProcessor {
    private kubeConfig;
    /**
     * Update kube config
     * @param kubeConfig
     */
    updateConfig(kubeConfig: KubeConfig): void;
    /**
     * Load kube config
     */
    loadConfig(): Promise<KubeConfig>;
    /**
     * Update request options based on kube config
     * @param options
     */
    protected updateRequestOptions(options: request.Options): Promise<void>;
}
