import { BaseRequestProcessor } from './BaseRequestProcessor';
export declare type WatchHandler = (obj: any) => Promise<void>;
export interface IWatchHandlers {
    added?: WatchHandler;
    modified?: WatchHandler;
    deleted?: WatchHandler;
}
export declare class WatchRequestProcessor extends BaseRequestProcessor {
    private activeRequest?;
    private aborted;
    private resourseVersion?;
    /**
     * Abort active watch request
     */
    abort(): void;
    /**
     * Establish long polling request to monitor k8s resources
     * @param path
     * @param handlers
     * @param resourceVersion
     */
    private makeWatchRequest;
    /**
     * Establish long polling request to monitor k8s resources
     * @param path
     * @param handlers
     * @param resourceVersion
     */
    watch(path: string, handlers: IWatchHandlers, resourceVersion?: string): Promise<void>;
}
